CLACPY(3f)

NAME
CLACPY - all or part of a two-dimensional matrix A to another matrix B

SYNOPSIS

SUBROUTINE CLACPY(
    UPLO, M, N, A, LDA, B, LDB )

CHARACTER
    UPLO

INTEGER
    LDA, LDB, M, N

COMPLEX
    A( LDA, * ), B( LDB, * )

PURPOSE
CLACPY copies all or part of a two-dimensional matrix A to another matrix B.

ARGUMENTS

UPLO    (input) CHARACTER*1
    Specifies the part of the matrix A to be copied to B. = 'U': Upper triangular part
    = 'L': Lower triangular part
    Otherwise: All of the matrix A

M       (input) INTEGER
    The number of rows of the matrix A. M >= 0.

N       (input) INTEGER
    The number of columns of the matrix A. N >= 0.

A       (input) COMPLEX array, dimension (LDA,N)
    The m by n matrix A. If UPLO = 'U', only the upper trapezium is accessed; if UPLO = 'L', only the lower trapezium is accessed.

LDA     (input) INTEGER
    The leading dimension of the array A. LDA >= max(1,M).

B       (output) COMPLEX array, dimension (LDB,N)
    On exit, B = A in the locations specified by UPLO.

LDB     (input) INTEGER
    The leading dimension of the array B. LDB >= max(1,M).